﻿--[[
***************************
*						  *
*		EoBaronScr_*	  *
*						  *
*		  DISCORD:	 	  *
*	  AL.LobaoAS*#6049 	  *
*						  *
*						  *
***************************
--]]














local posbanco = {
{2047.5347900391,-1882.2189941406,13.596369743347 -1},
{2047.623046875,-1878.1196289063,13.596378326416 -1},
{2047.8017578125,-1873.7761230469,13.597037315369 -1},
{2047.6278076172,-1869.7008056641,13.597020149231 -1}, --- ADICIONE MAIS POSICOES AQUI
}

banco = {}

addEventHandler("onResourceStart",resourceRoot,
function()
for key, value in ipairs(posbanco) do
banco[key] = createMarker(value[1], value[2], value[3], "cylinder", 1.5, 0, 128, 0, 0)
blip = createBlipAttachedTo(banco[key],52)
setElementData(blip,"blipName","Banco")
	end
end)


function emarker ( marker, md )
for key, bank in ipairs(banco) do
	if md then
	    if marker == bank then
		    if not getPedOccupiedVehicle (source) then
				triggerClientEvent(source,"OpenBanco",source)
		end
			end
		end
    end
end
addEventHandler ( "onPlayerMarkerHit", getRootElement ( ), emarker )



function getPlayerFromPartialName ( name )
    local name = name and name:gsub("#%x%x%x%x%x%x", ""):lower() or nil
    if name then
        for _, player in ipairs(getElementsByType("player")) do
            local name_ = getPlayerName(player):gsub("#%x%x%x%x%x%x", ""):lower()
            if name_:find(name, 1, true) then
                return player
            end
        end
    end
end


function deposito(source,valor)
valor = tonumber(valor)
local dinheiro = getPlayerMoney(source)
if dinheiro >= valor then
takePlayerMoney(source,valor)
depositar(source,valor)
else
exports.banco_info:showBoxS(source,"Dinheiro insuficiente","error")
	end
end
addEvent("depositar_banco",true)
addEventHandler("depositar_banco",getRootElement(),deposito)


function depositar(player,valor)
valor = tonumber(valor)
local banco = tonumber(getElementData(player,"mbank")) or 0
setElementData(player,"mbank",banco + valor)
exports.banco_info:showBoxS(player,"Depósito de: $"..valor.." realizado com sucesso","info")
end


function saque(source,valor)
valor = tonumber(valor)
local dinheiro = tonumber(getElementData(source,"mbank")) or 0
if dinheiro >= valor then
sacar(source,valor)
else
exports.banco_info:showBoxS(source,"Saldo Bancário insuficiente","error")
	end
end
addEvent("saque_banco",true)
addEventHandler("saque_banco",getRootElement(),saque)


function sacar(player,valor)
valor = tonumber(valor)
local dinheiro = getPlayerMoney(source)
local banco = tonumber(getElementData(player,"mbank")) or 0
setElementData(player,"mbank",banco - valor)
setPlayerMoney(source,dinheiro +valor)
exports.banco_info:showBoxS(player,"Saque de: $"..valor.." realizado com sucesso","info")
end

function transferencia(source,valor,remetente)
local destino = getPlayerFromPartialName(remetente)
if (destino) then
valor = tonumber(valor)
local dinheiro = tonumber(getElementData(source,"mbank")) or 0
if dinheiro >= valor then
transferir(source,destino,valor)
else
exports.banco_info:showBoxS(source,"Saldo Bancário insuficiente","error")
	end
else
exports.banco_info:showBoxS(source,"Não foi encontrado ninguém com este na cidade.","error")
	end
end
addEvent("transf_banco",true)
addEventHandler("transf_banco",getRootElement(),transferencia)


function transferir(player,destino,valor)
if (player) ~= (destino) then
valor = tonumber(valor)
local banco = tonumber(getElementData(player,"mbank")) or 0
local bancod = tonumber(getElementData(player,"mbank")) or 0
setElementData(destino,"mbank",bancod + valor)
setElementData(player,"mbank",banco - valor)
exports.banco_info:showBoxS(player,"Você Transferiu : $"..valor.." para "..getPlayerName(destino).." Com sucesso.","info")
exports.banco_info:showBoxS(destino,"Você Acaba de receber : $"..valor.." de "..getPlayerName(player).." visite o banco.","info")
else
exports.banco_info:showBoxS(player,"Você não pode transferir dinheiro para você mesmo.","error")
	end
end




--------------------------------------NÃO MECHER---------------------------------------------------
function saveData(conta)
    if conta then
        local source = getAccountPlayer(conta)
        if isElement(source) then
            local banco = getElementData(source,"mbank") or 0
            setAccountData(conta, "mbank",tonumber(banco))
        end
    end
end

function loadData(conta)
    if not (isGuestAccount (conta)) then
        if (conta) then
            local source = getAccountPlayer(conta)
            if isElement(source) then
                local banco = getAccountData(conta,"mbank")
                if type(banco) == "mbank" or "mbank" == nil then
                    banco = 0
                end
                setElementData(source, "mbank", tonumber(banco))
            end
        end
    end
end



addEventHandler("onPlayerLogin", root,
  function(_, acc)
    setTimer(loadData,1000,1,acc)
  end
)

function saveOnStartScript(res)
    if res == getThisResource() then
        for i, player in ipairs(getElementsByType("player")) do
            local acc = getPlayerAccount(player)
            if not isGuestAccount(acc) then
                loadData(acc)
            end
        end
    end
end
addEventHandler("onResourceStart", getRootElement(), saveOnStartScript)

function saveOnStopScript(res)
    if res == getThisResource() then
        for i, player in ipairs(getElementsByType("player")) do
            local acc = getPlayerAccount(player)
            if not isGuestAccount(acc) then
                saveData(acc)
            end
        end
    end
end
addEventHandler("onResourceStop", getRootElement(), saveOnStopScript)



function saveOnQuit(quitType)
    local acc = getPlayerAccount(source)
    if not (isGuestAccount(acc)) then
        if acc then
            saveData(acc)
        end
    end
end
addEventHandler("onPlayerQuit", getRootElement(), saveOnQuit)































